# Find Fast-and-Light GUI Toolkit (FLTK).

FIND_PATH(FLTK_INCLUDE_DIR Fl/Fl.H Fl/Fl.h
    $ENV{FLTK_DIR}/include
    $ENV{FLTK_DIR}
	$ENV{ProgramFiles}/FLTK/include
    ~/Library/Frameworks
    /Library/Frameworks
    /usr/local/include
    /usr/include
    /sw/include # Fink
    /opt/local/include # DarwinPorts
    /opt/include
)

MACRO(FIND_FLTK_LIBRARY MYLIBRARY MYLIBRARYNAME)
    FIND_LIBRARY(${MYLIBRARY}
        NAMES ${MYLIBRARYNAME}
        PATHS
        $ENV{FLTK_DIR}/lib
        $ENV{FLTK_DIR}
		$ENV{ProgramFiles}/FLTK/lib
        ~/Library/Frameworks
        /Library/Frameworks
        /usr/local/lib
        /usr/lib
        /sw/lib
        /opt/local/lib
        /opt/lib
    )
ENDMACRO(FIND_FLTK_LIBRARY LIBRARY LIBRARYNAME)

FIND_FLTK_LIBRARY(FLTK_LIBRARY fltk)
FIND_FLTK_LIBRARY(FLTK_FORMS_LIBRARY fltk_forms)
FIND_FLTK_LIBRARY(FLTK_IMAGES_LIBRARY fltk_images)
# FLTK's cmake has to build these on Windows but omits them on Linux.
FIND_FLTK_LIBRARY(FLTK_JPEG_LIBRARY fltk_jpeg)
FIND_FLTK_LIBRARY(FLTK_PNG_LIBRARY fltk_png)

SET(FLTK_FOUND "NO")
IF(FLTK_LIBRARY AND FLTK_INCLUDE_DIR)
    MESSAGE(STATUS "Found FLTK: ${FLTK_LIBRARY}")
    SET(FLTK_FOUND "YES")
    SET(FLTK_LIBRARIES ${FLTK_LIBRARY} ${FLTK_FORMS_LIBRARY} ${FLTK_IMAGES_LIBRARY})
    IF(FLTK_JPEG_LIBRARY)
      SET(FLTK_LIBRARIES ${FLTK_LIBRARY} ${FLTK_JPEG_LIBRARY})
    ENDIF(FLTK_JPEG_LIBRARY)
    IF(FLTK_PNG_LIBRARY)
      SET(FLTK_LIBRARIES ${FLTK_LIBRARY} ${FLTK_PNG_LIBRARY})
    ENDIF(FLTK_PNG_LIBRARY)
ENDIF(FLTK_LIBRARY AND FLTK_INCLUDE_DIR)
