# Find OSSIM.  Defines OSSIM_FOUND.

FIND_PATH(OSSIM_INCLUDE_DIR ossimVersion.h /usr/include/ossim /usr/local/include/ossim)

FIND_LIBRARY(OSSIM_LIBRARY NAMES ossim PATH /usr/lib /usr/local/lib /usr/local/lib64) 

IF (OSSIM_INCLUDE_DIR AND OSSIM_LIBRARY)
   SET(OSSIM_FOUND TRUE)
ENDIF (OSSIM_INCLUDE_DIR AND OSSIM_LIBRARY)

IF (OSSIM_FOUND)
   IF (NOT OSSIM_FIND_QUIETLY)
      MESSAGE(STATUS "Found OSSIM: ${OSSIM_LIBRARY}")
   ENDIF (NOT OSSIM_FIND_QUIETLY)
ELSE (OSSIM_FOUND)
   IF (OSSIM_FIND_REQUIRED)
      MESSAGE(FATAL_ERROR "Could not find OSSIM")
   ENDIF (OSSIM_FIND_REQUIRED)
ENDIF (OSSIM_FOUND)
