
# Find the include path.
FIND_PATH(OPENSCENEGRAPH_INCLUDE_DIR osg/Node
    $ENV{OPENSCENEGRAPH_INCLUDE_DIR}
    $ENV{OPENSCENEGRAPH_DIR}/include
    $ENV{OPENSCENEGRAPH_DIR}
    $ENV{OSG_INCLUDE_DIR}
    $ENV{OSG_INCLUDE_PATH}
    $ENV{OSG_DIR}/include
    $ENV{OSG_DIR}
	/usr/local
    #NO_DEFAULT_PATH
)

IF(NOT OPENSCENEGRAPH_INCLUDE_DIR)
    FIND_PATH(OPENSCENEGRAPH_INCLUDE_DIR osg/Node
        PATHS ${CMAKE_PREFIX_PATH} # Unofficial: We are proposing this.
        PATH_SUFFIXES include
    )
ENDIF(NOT OPENSCENEGRAPH_INCLUDE_DIR)

IF(NOT OPENSCENEGRAPH_INCLUDE_DIR)
    FIND_PATH(OPENSCENEGRAPH_INCLUDE_DIR osg/Node
        ~/Library/Frameworks
        /Library/Frameworks
        /usr/local/include
        /usr/include
        /sw/include # Fink
        /opt/local/include # DarwinPorts
        /opt/csw/include # Blastwave
        /opt/include
        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OpenSceneGraph_ROOT]/include
        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/include
    )
ENDIF(NOT OPENSCENEGRAPH_INCLUDE_DIR)

MACRO(MACRO_FIND_OSG_LIB)
	IF(NOT ARG_OSG_LIB_NAMES)
		MESSAGE(FATAL_ERROR "ARG_OSG_LIB_NAMES undefined")
	ENDIF(NOT ARG_OSG_LIB_NAMES)
	FIND_PATH(OPENSCENEGRAPH_LIBRARY_DIR
	    NAMES
	    ${ARG_OSG_LIB_NAMES}
	    PATHS
	    $ENV{OPENSCENEGRAPH_LIBRARY_DIR}
	    $ENV{OPENSCENEGRAPH_DIR}/lib64
	    $ENV{OPENSCENEGRAPH_DIR}/lib
	    $ENV{OPENSCENEGRAPH_DIR}
	    $ENV{OSG_LIBRARY_DIR}
	    $ENV{OSG_LIB_PATH}
	    $ENV{OSG_DIR}/lib64
	    $ENV{OSG_DIR}/lib
	    $ENV{OSG_DIR}
		/usr/local/lib
	    #NO_DEFAULT_PATH
	)
	IF(NOT OPENSCENEGRAPH_LIBRARY_DIR)
	    FIND_PATH(OPENSCENEGRAPH_LIBRARY_DIR
	        NAMES
	        ${ARG_OSG_LIB_NAMES}
	        PATHS
	        ${CMAKE_PREFIX_PATH} # Unofficial: We are proposing this.
	        PATH_SUFFIXES lib64 lib
	    )
	ENDIF(NOT OPENSCENEGRAPH_LIBRARY_DIR)
	IF(NOT OPENSCENEGRAPH_LIBRARY_DIR)
	    FIND_PATH(OPENSCENEGRAPH_LIBRARY_DIR
	        NAMES
	        ${ARG_OSG_LIB_NAMES}
	        PATHS
	        ~/Library/Frameworks
	        /Library/Frameworks
	        /usr/local/lib64
	        /usr/local/lib
	        /usr/lib64
	        /usr/lib
	        /sw/lib64
	        /sw/lib
	        /opt/local/lib64
	        /opt/local/lib
	        /opt/csw/lib64
	        /opt/csw/lib
	        /opt/lib64
	        /opt/lib
	        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OpenSceneGraph_ROOT]/lib
	        [HKEY_LOCAL_MACHINE\\SYSTEM\\CurrentControlSet\\Control\\Session\ Manager\\Environment;OSG_ROOT]/lib
	    )
	ENDIF(NOT OPENSCENEGRAPH_LIBRARY_DIR)
ENDMACRO(MACRO_FIND_OSG_LIB LIB_NAMES)

# Try to find release libs then debug libs.
SET(ARG_OSG_LIB_NAMES libosg libosg.so libosg.dylib osg.lib)
MACRO_FIND_OSG_LIB()
IF(NOT OPENSCENEGRAPH_LIBRARY_DIR)
  SET(ARG_OSG_LIB_NAMES libosgd libosgd.so libosgd.dylib osgd.lib)
  MACRO_FIND_OSG_LIB()
ENDIF(NOT OPENSCENEGRAPH_LIBRARY_DIR)

IF(OPENSCENEGRAPH_INCLUDE_DIR AND OPENSCENEGRAPH_LIBRARY_DIR)
  SET(OPENSCENEGRAPH_FOUND "YES")
  MESSAGE("-- Found OpenSceneGraph libraries at: "${OPENSCENEGRAPH_LIBRARY_DIR})
  IF(UNIX)
    SET(CMAKE_EXE_LINKER_FLAGS "${CMAKE_EXE_LINKER_FLAGS} -L${OPENSCENEGRAPH_LIBRARY_DIR}")
  ENDIF(UNIX)
ELSE(OPENSCENEGRAPH_INCLUDE_DIR AND OPENSCENEGRAPH_LIBRARY_DIR)
  SET(OPENSCENEGRAPH_FOUND "NO")
  MESSAGE(FATAL_ERROR "Could not find OpenSceneGraph")
ENDIF(OPENSCENEGRAPH_INCLUDE_DIR AND OPENSCENEGRAPH_LIBRARY_DIR)
