/*****************************************************************************
 * $LastChangedDate: 2008-10-25 15:53:09 -0400 (Sat, 25 Oct 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Type signature definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2004 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if DEBUG
#ifndef BASE_TYPESIG_DEFS_HH
#define BASE_TYPESIG_DEFS_HH 1

namespace base {

typedef unsigned int typesig_t;

enum
{
	// Typesig range reserved for this base library.
	// Just "TYPESIG" is ok for trivial objects.
    // "unsigned int" because "uint" isnt defined yet.
	TYPESIG_INVALID			= 0,
	TYPESIG					= 0x1234aabb,  // "TYPESIG" reused for trivial objects
	TYPESIG_SHARED			= ((unsigned int)('s')<<24) | ((unsigned int)('h')<<16) | ((unsigned int)('a')<<8) | (unsigned int)('r'),
	TYPESIG_SHARED_PTR		= ((unsigned int)('s')<<24) | ((unsigned int)('h')<<16) | ((unsigned int)('p')<<8) | (unsigned int)('t'),
	TYPESIG_DLINK			= ((unsigned int)('l')<<24) | ((unsigned int)('i')<<16) | ((unsigned int)('n')<<8) | (unsigned int)('k'),
	TYPESIG_DLIST			= ((unsigned int)('l')<<24) | ((unsigned int)('i')<<16) | ((unsigned int)('s')<<8) | (unsigned int)('t'),
	TYPESIG_ITER			= ((unsigned int)('i')<<24) | ((unsigned int)('t')<<16) | ((unsigned int)('e')<<8) | (unsigned int)('r'),
	TYPESIG_STACK			= ((unsigned int)('s')<<24) | ((unsigned int)('t')<<16) | ((unsigned int)('a')<<8) | (unsigned int)('c'),
	TYPESIG_UNIQUE			= ((unsigned int)('u')<<24) | ((unsigned int)('n')<<16) | ((unsigned int)('i')<<8) | (unsigned int)('q'),
	TYPESIG_UNIQUE_FACTORY	= ((unsigned int)('u')<<24) | ((unsigned int)('n')<<16) | ((unsigned int)('f')<<8) | (unsigned int)('a'),
	TYPESIG_SORTED_ARRAY	= ((unsigned int)('s')<<24) | ((unsigned int)('o')<<16) | ((unsigned int)('a')<<8) | (unsigned int)('r'),
	TYPESIG_CONF_TUPLE      = ((unsigned int)('c')<<24) | ((unsigned int)('f')<<16) | ((unsigned int)('t')<<8) | (unsigned int)('u'),
	TYPESIG_TIMER_CALLBACK  = ((unsigned int)('t')<<24) | ((unsigned int)('i')<<16) | ((unsigned int)('c')<<8) | (unsigned int)('b'),
};

} // namespace base

#endif // BASE_TYPESIG_DEFS_HH
#endif // DEBUG
