/*****************************************************************************
 * $LastChangedDate: 2008-12-12 21:44:59 -0500 (Fri, 12 Dec 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Events.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef COLLISION_EVENTS_HH
#define COLLISION_EVENTS_HH 1

#include "base/event.hh"
using namespace base;

namespace collision {

////////////////////////////////////////////////////////////////////////////////
/// @brief Collision events.
///
class Events
{
public:
    CLASS_METHOD Events& GetInstance( void )  // Singleton
	{
		if ( UX( msInstance == NULL ) )
			msInstance = new Events;
		return *msInstance;
	}

#define EVENT_COLLISION collision::Events::GetInstance().GetCollisionEvent()
    typedef pair< shptr<Object>, shptr<Object> > ObjectPair;
	Event<ObjectPair>&  GetCollisionEvent( void ) { return mCollisionEvent; }

private:
    CLASS_VAR Events*   msInstance;
	Event<ObjectPair>   mCollisionEvent;
};

#if COLLISION_COLLISION_CC
Events* Events::msInstance;
#endif

} // namespace collision

#endif // COLLISION_EVENTS_HH
