/*****************************************************************************
 * $LastChangedDate: 2008-09-08 20:54:45 -0400 (Mon, 08 Sep 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file.
 * @namespace control
 * @brief control module (layer over lower-level input module, contains current Craft).
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef CONTROL_MODULE_HH
#define CONTROL_MODULE_HH 1

namespace control {

enum { AXIS_PITCH, AXIS_YAW, AXIS_ROLL };

} // namespace control

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace control {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace control

//------------------------------------------------------------------------------

#include "base/module.hh"
#include "base/time.hh"
using namespace base;
#include "control/typesig_defs.hh"
#include "control/control.hh"

#endif // CONTROL_MODULE_HH
