/*****************************************************************************
 * $LastChangedDate: 2008-11-27 18:22:19 -0500 (Thu, 27 Nov 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef FX_DEFS_HH
#define FX_DEFS_HH 1

#include "base/time.hh"

namespace fx {
namespace defs {

const Milliseconds  FX_TICK_FREQ( 500 );				///< frequency of FX container (destroys zombies)
const Milliseconds  PARTICLE_SYSTEM_TICK_FREQ( 20 );    ///< frequency of particle-system animation
const uint          MAX_PARTICLES_ONE_SYSTEM  = 2000;	///< in one particle-system
const uint          MAX_PARTICLES_ALL_SYSTEMS = 20000;	///< in all particle-systems
/// For state-sorting.
const StateBits     DEFAULT_PARTICLE_STATE_BITS = STATE_BIT_BLEND | STATE_BIT_TRANSPARENT | STATE_BIT_NO_DEPTH_TEST | STATE_BIT_NO_LIGHTING | STATE_BIT_NO_FOG;

// SmallParticleSystem:
const RGBA          DEFAULT_SMALL_PARTSYS_COLOR( 0xff, 0xff, 0xff, 0xa0 );
const Meter         DEFAULT_SMALL_PARTSYS_GEO_RANGE( 1500.0f );
const fp            DEFAULT_SMALL_PARTSYS_MIN_WIDTH = 6.0f;     ///< to simulate 3D scaling of particles
const fp            DEFAULT_SMALL_PARTSYS_MAX_WIDTH = 64.0f;

} // namespace defs
} // namespace fx

#endif // FX_DEFS_HH
