/*****************************************************************************
 * $LastChangedDate: 2008-12-05 10:58:31 -0500 (Fri, 05 Dec 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	OSG.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GFX_OSG_HH
#define GFX_OSG_HH 1

namespace gfx { }

// Basic OSG headers.
#include <osg/Vec4f>
#include <osg/Array>
#include <osg/Node>
#include <osg/Geode>
#include <osg/Geometry>
#include <osg/StateAttribute>
#include <osg/MatrixTransform>
//#include <osg/ShadeModel>  // avoid too many includes
//#include <osg/Camera>
//#include <osg/CameraNode>
#include <osg/Version>

#if OPENSCENEGRAPH_MAJOR_VERSION <= 2 && OPENSCENEGRAPH_MINOR_VERSION < 4
// OSG 2.2.0 (or earlier) has a bug that prevents rendering in other views.
#error "Requires OSG 2.4.0 or later.  Ensure that old version of OSG isn't still installed somewhere."
#endif

#undef KEY_F1  // dunno, header conflict
#undef KEY_F2 
#undef KEY_F3
#undef KEY_F4
#undef KEY_F5
#undef KEY_F6
#undef KEY_F7
#undef KEY_F8
#undef KEY_F9
#undef KEY_F10
#undef KEY_F11
#undef KEY_F12
#undef KEY_F13

#endif // GFX_OSG_HH
