/*****************************************************************************
 * $LastChangedDate: 2008-12-12 21:44:59 -0500 (Fri, 12 Dec 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	A part of the C++ core that calls Lua functions.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef GLUE_CORE2LUA_HH
#define GLUE_CORE2LUA_HH 1

#include "object/module.hh"
#include "object/events.hh"
using namespace object;
#include "collision/module.hh"
#include "collision/events.hh"
using namespace collision;

namespace glue {

////////////////////////////////////////////////////////////////////////////////
/// @brief Glue code between C++ core and Lua.
///
/// The purpose of this class is to centralize where C++ core calls Lua.
///
class Core2Lua
{
PREVENT_COPYING(Core2Lua)
public:
    CLASS_METHOD Core2Lua& GetInstance( void )  // Singleton
	{
		if ( UX( msInstance == NULL ) )
			msInstance = new Core2Lua;
		return *msInstance;
	}

private:
    Core2Lua( void );
    ~Core2Lua();

private:
	CLASS_DESTROY_OBJECT_LISTENER( Core2Lua, mCoreToLua )
	CLASS_EVENT_LISTENER( CollisionListener, collision::Events::ObjectPair, Core2Lua, mCore2Lua )

private:
    CLASS_VAR Core2Lua* msInstance;
};

} // namespace glue

#endif // GLUE_CORE2LUA_HH
