/*****************************************************************************
 * $LastChangedDate: 2007-12-13 16:08:01 -0500 (Thu, 13 Dec 2007) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	NOP Joystick class to run without joystick support.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef INPUT_JOYSTICK_NOP_HH
#define INPUT_JOYSTICK_NOP_HH 1

namespace input {

////////////////////////////////////////////////////////////////////////////////
/// @brief NOP Joystick class to run without joystick support.
///
class JoystickNop : public Joystick
{
PREVENT_COPYING(JoystickNop)
friend class Joystick;  // for Joystick::GetInstance()
public:
	JoystickNop( void ) { }
	bool	PollEvent( UNUSED Event& event ) { return false; }
	bool	Open( void ) { return false; }  // nothing to open, return false
	void	Close( void ) { }
	void	PrintStatus( void ) { }
};

} // namespace input

#endif // INPUT_JOYSTICK_NOP_HH
