/*****************************************************************************
 * $LastChangedDate: 2008-01-13 00:25:18 -0500 (Sun, 13 Jan 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Windows Joystick class.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#if OS_WINDOWS
#ifndef INPUT_JOYSTICK_WINDOWS_HH
#define INPUT_JOYSTICK_WINDOWS_HH 1

namespace input {

////////////////////////////////////////////////////////////////////////////////
/// @brief Windows joystick class.
///
class JoystickWindows : public Joystick
{
PREVENT_COPYING(JoystickWindows)
friend class Joystick;  // for Joystick::GetInstance()
private:
			// Joystick is meant to be instantiated once.
			JoystickWindows( void );
			~JoystickWindows();

public:
	void	PrintStatus( void );

private:
	bool	Open( void );
	void	Close( void );
	bool	PollEvent( Event& event /*OUT*/ );
    bool    PollAxisEvent( Event& event /*OUT*/, const int axisNum );
    bool    PollButtonEvent( Event& event /*OUT*/ );
};

} // namespace input

#endif // INPUT_JOYSTICK_WINDOWS_HH
#endif // OS_WINDOWS
