/*****************************************************************************
 * $LastChangedDate: 2007-12-13 16:08:01 -0500 (Thu, 13 Dec 2007) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Base Keyboard class.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define INPUT_KEYBOARD_CC 1
#include "base/module.hh"
using namespace base;
#include "input/module.hh"
#include "input/keyboard.hh"

namespace input {

////////////////////////////////////////////////////////////////////////////////
///////////////////////////////  Keyboard  /////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

Keyboard* Keyboard::msInstance;  // will be a derivative

/*****************************************************************************
 * ctor/dtor.
 *****************************************************************************/
Keyboard::Keyboard( void )
{
ASSERT_RUN_ONCE;
	// NOP
}

Keyboard::~Keyboard()
{
	// NOP
}

/*****************************************************************************
 * Singleton.
 * This instantiates a derivative.
 *****************************************************************************/
Keyboard&
Keyboard::GetInstance( void )
{
    if ( UX( msInstance == NULL ) )
        msInstance = new INPUT_KEYBOARD_CLASS;  // system-specific derivative
    return *msInstance;
}        

} // namespace input
