-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Keyboard",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "input/module.hh"
using namespace input;
]],

moreComments = "sim.Keyboard abstracts input::InputQueue.\n",

func_DequeueKey = {
    comments = "table|nil Keyboard:DequeueKey()\n * Returns table { press=bool, key=int, lkey=int, shift=bool, ctrl=bool, alt=bool }. \n * lkey means key converted to lower-case.",
    code = [[
		input::Keyboard::Event keyEvent;
		if ( input::InputQueue::GetInstance().DequeueKeyEvent( keyEvent ) )
		{
			lua_newtable( L );
			SET_MEMBER_AS_BOOL( L, "press", keyEvent.mPress );
			SET_MEMBER_AS_INT(  L, "key",   keyEvent.mKey );
			SET_MEMBER_AS_INT(  L, "lkey",  tolower(keyEvent.mKey) );
			SET_MEMBER_AS_BOOL( L, "shift", keyEvent.mShift );
			SET_MEMBER_AS_BOOL( L, "ctrl",  keyEvent.mCtrl );
			SET_MEMBER_AS_BOOL( L, "alt",   keyEvent.mAlt );
		}
		else
		{
			lua_pushnil( L );  // no event
		}
		return 1;  // number of pushed values
    ]]
},

}
