-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Physics",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "physics/module.hh"
#include "physics/physics_control.hh"
using namespace physics;
]],

func_Disable = {
    comments = "Physics:Disable()  [permanently disables, there is no Enable()]",
    code = [[
		PhysicsControl::PermanentlyDisable();
    ]]
},

func_EnableStall = {
    comments = "Physics:EnableStall( bool )",
    code = [[
		PhysicsControl::EnableStall( POP_BOOL( L ) );
    ]]
},

func_IfStallEnabled = {
    comments = "bool Physics:IfStallEnabled()",
    code = [[
		lua_pushboolean( L, PhysicsControl::IfStallEnabled() );
		return 1;  // number of pushed values
    ]]
},

func_KPH2Speed = {
    comments = "Speed Physics:KPH2Speed( kph )",
    code = [[
		const SpeedKPH kph( POP_FP( L ) );
		const Speed    speed( KPH2Speed( kph ) );
		lua_pushnumber( L, speed.FP() );
		return 1;  // number of pushed values
    ]]
},

func_Speed2KPH = {
    comments = "KPH Physics:Speed2KPH( Speed )",
    code = [[
		const Speed    speed( POP_FP( L ) );
		const SpeedKPH speedKPH( Speed2KPH( speed ) );
		lua_pushnumber( L, speedKPH.FP() );
		return 1;  // number of pushed values
    ]]
},

}
