-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Sound",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "sound/module.hh"
using namespace sound;
]],

func_Play = {
    comments = "bool Sound:Play( filename, loop:bool, volume:fp )",
    code = [[
		const fp volume       = POP_FP( L );
		const bool loop       = POP_BOOL( L );
		const string filename = POP_STRING( L );
		lua_pushboolean( L, sound::Sound::GetInstance().Play( filename, loop, volume ) );
		return 1;  // number of pushed values
    ]]
},

func_Stop = {
    comments = "Sound:Stop( filename )",
    code = [[
		const string filename = POP_STRING( L );
		sound::Sound::GetInstance().Stop( filename );
    ]]
},

}
