-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Viewpoint",
typesig = "TYPESIG_VIEWPOINT",
luaCanInstantiate = true,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "view/module.hh"
using namespace view;
]],

func_New = {
    comments = "Viewpoint:new()",
    code = [[
		shptr<Viewpoint> viewpoint = new Viewpoint;
		return NEW_USERDATA_SHPTR<Viewpoint>( L, viewpoint, BIND_METATABLE_NAME );
    ]]
},

func_Destroy = {
    comments = "Lua's garbage collector indirectly invokes this C++ destructor.",
    code = [[
		return DESTROY_USERDATA_SHPTR<Viewpoint>( L, CheckTypesigViewpoint );
    ]]
},

func_SetOtwMode = {
    comments = "Viewpoint:SetOtwMode( OTW_FRONT|REAR|LEFT|RIGHT )",
    code = [[
		const Viewpoint::eOtwMode otwMode = (Viewpoint::eOtwMode) POP_INT( L );
		shptr<Viewpoint> viewpoint = POP_USERDATA_AS_SHPTR<Viewpoint>( L );
		CHECK_TYPESIG(viewpoint,TYPESIG_VIEWPOINT);
		viewpoint->SetOtwMode( otwMode );
    ]]
},

}
