-- $LastChangedDate: 2008-10-06 10:35:00 -0400 (Mon, 06 Oct 2008) $
-- Macros written in Lua to expand C++ code for bindings between C++/Lua.

bindTable = {

class = "Window",
typesig = nil,
luaCanInstantiate = false,

headers =
[[
#include "base/module.hh"
using namespace base;
#include "view/module.hh"
#include "view/window.hh"
using namespace view;
]],

func_GetWindowSize = {
    comments = "sx,sy Window:GetWindowSize()",
    code = [[
		const WidthHeight<int> wh = GET_WINDOW().GetWindowSize();
		lua_pushnumber( L, wh.w );
		lua_pushnumber( L, wh.h );
		return 2;  // number of pushed values
    ]]
},

func_GetMainView = {
    comments = "View Window:GetMainView()",
    code = [[
		shptr<View> view = GET_WINDOW().GetMainView();
		return NEW_USERDATA_SHPTR<View>( L, view, LUABIND_METATABLE_STRING("View") );
    ]]
},

func_GetFPS = {
    comments = "Window:GetFPS()",
    code = [[
		lua_pushnumber( L, GET_WINDOW().GetFPS() );
		return 1;  // number of pushed values
    ]]
},

func_SaveSceneGraphToFile = {
    comments = "Window:SaveSceneGraphToFile( string )",
    code = [[
		const string filename = POP_STRING( L );
		GET_WINDOW().SaveSceneGraphToFile( filename );
    ]]
},

}
