/*****************************************************************************
 * $LastChangedDate: 2008-08-22 23:47:33 -0400 (Fri, 22 Aug 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Math functions specifically for computer graphics algorithms.
 * @remarks
 * REMINDERS: - Use MATH_EXCEPTION() instead of ASSERT().
 *            - C++ <cmath> is better than C <math.h> because C++ functions are overloaded.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef MATH_GRAPHICS_HH
#define MATH_GRAPHICS_HH 1

namespace math {

class Matrix;

INLINE bool IF_Z_FACING( fp z ) { return z < 0; }

WorldVertex
ComputeVertexOnDome( const Degree lat, const Degree lon, const fp radius );

Degree
ComputeMatrixRollDegree( const Matrix& matrix, const Matrix& nextMatrix );

} // namespace math

#endif // MATH_GRAPHICS_HH
