/*****************************************************************************
 * $LastChangedDate: 2008-09-14 00:08:05 -0400 (Sun, 14 Sep 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file for Object classes.
 * @namespace object
 * @brief 3D Object classes.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef OBJECT_MODULE_HH
#define OBJECT_MODULE_HH 1

#include "math/module.hh"
#include "math/matrix.hh"
#include "math/quaternion.hh"
using namespace math;
#include "graph/module.hh"
using namespace graph;
#include "types/module.hh"
#include "types/graphics.hh"
using namespace types;
#include "world/state_sorter.hh"
using namespace world;
#if DEBUG
#include "object/typesig_defs.hh"
#endif
#include "object/object.hh"

#endif // OBJECT_MODULE_HH
