/*****************************************************************************
 * $LastChangedDate: 2008-03-04 10:35:12 -0500 (Tue, 04 Mar 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Definitions.
 *//*
 * LEGAL:	COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PHYSICS_DEFS_HH
#define PHYSICS_DEFS_HH 1

namespace physics {
namespace defs {

// General physical definitions:
const fp MACH1_KPH						= 1225.0f;		///< kilometer/hour
const fp MACH1_MPH						= 761.2f;		///< miles/hour
const fp KILOMETER_MILE_RATIO			= 0.621f;		///< km = 0.621 mile
const fp ACCELERATION_GRAVITY_SCALAR	= 9.81f;		///< meter/sec/sec

} // namespace defs
} // namespace physics

using namespace physics::defs;

#endif // PHYSICS_DEFS_HH
