/*****************************************************************************
 * $LastChangedDate: 2008-05-24 15:12:51 -0400 (Sat, 24 May 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Main header file.
 * @namespace physics
 * @brief physics module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#ifndef PHYSICS_MODULE_HH
#define PHYSICS_MODULE_HH 1

//------------------------------------------------------------------------------
// Coding convention for modules:
// - module.hh is the main header files that includes often-used header files.
// - Init() initializes the module (if applicable).
// - Start() starts the execution of a module (if applicable).

namespace physics {

typedef base::InitArgs InitArgs;

void Init( const InitArgs& initArgs );

void Start( void );

} // namespace physics

//------------------------------------------------------------------------------

#include "math/module.hh"
using namespace math;
#include "world/defs.hh"  // LAT,LON,ALT
#if DEBUG
#include "physics/typesig_defs.hh"
#endif
#include "physics/types.hh"
#include "physics/defs.hh"
#include "physics/conversion.hh"

#endif // PHYSICS_MODULE_HH
