/*****************************************************************************
 * $LastChangedDate: 2008-01-26 18:22:35 -0500 (Sat, 26 Jan 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define VIEW_MODULE_CC 1
#include "base/module.hh"
using namespace base;
#include "view/module.hh"
#include "view/conf.hh"

namespace view {

/*****************************************************************************
 * Initialize module.
 *****************************************************************************/
void
Init( const InitArgs& initArgs )
{
	// Load textual conf file into Conf struct.
	const string confTxtFilename = GetConfTxtFilename( initArgs.mProgramName );
	// Not CONF macro since mValid isn't true yet.
	view::global::gConf.Init( initArgs.mArgc, initArgs.mArgv, confTxtFilename );
}

/*****************************************************************************
 * Start module.
 *****************************************************************************/
void
Start( void )
{
	// Start by constructing Window instance.
	Window::GetInstance();
}

} // namespace view
