/*****************************************************************************
 * $LastChangedDate: 2008-12-02 12:16:59 -0500 (Tue, 02 Dec 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Module.
 *//*
 * LEGAL:	COPYRIGHT (C) 2007 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define WORLD_MODULE_CC 1
#include "base/module.hh"
using namespace base;
#include "world/module.hh"
#include "world/conf.hh"
#include "world/globals.hh"

namespace world {

/*****************************************************************************
 * Initialize module.
 *****************************************************************************/
void
Init( const InitArgs& initArgs )
{
	// Load textual conf file into Conf struct.
	const string confTxtFilename = GetConfTxtFilename( initArgs.mProgramName );
	// Not CONF macro since mValid isn't true yet.
	world::global::gConf.Init( initArgs.mArgc, initArgs.mArgv, confTxtFilename );
}

/*****************************************************************************
 * Start module.
 *****************************************************************************/
void
Start( void )
{

BEGIN_ONCE {
	gWorld.Make();
} END_ONCE

}

} // namespace world
