/*****************************************************************************
 * $LastChangedDate: 2008-02-03 13:14:41 -0500 (Sun, 03 Feb 2008) $
 * @file
 * @author	Jim E. Brooks  http://www.palomino3d.org
 * @brief	Planet class is a Facade over ossimplanet or one GIS image.
 *//*
 * LEGAL:   COPYRIGHT (C) 2008 JIM E. BROOKS
 *          THIS SOURCE CODE IS RELEASED UNDER THE TERMS
 *          OF THE GNU GENERAL PUBLIC LICENSE VERSION 2 (GPL 2).
 *****************************************************************************/

#define WORLD_PLANET_CC 1
#define NEED_PLANET_CLASS 1
#include "base/module.hh"
#include "base/conf.hh"
using namespace base;
#include "world/module.hh"
#include "world/conf.hh"
#include "world/planet.hh"
#include "world/planet_flat.hh"
#include "world/planet_ossim.hh"

namespace world {

////////////////////////////////////////////////////////////////////////////////
////////////////////////////////  Planet  //////////////////////////////////////
////////////////////////////////////////////////////////////////////////////////

Planet* Planet::msInstance;

/*****************************************************************************
 * Singleton method.
 *****************************************************************************/
Planet*
Planet::CreateInstance( void )
{
#if COMPILE_OSSIM
	if ( WORLD_CONF.mUseOssim )
		return new OssimPlanet;
	else
		return new FlatPlanet;
#else
    return new FlatPlanet;
#endif
}

} // namespace world
