#!/bin/sh
# $LastChangedDate: 2008-05-11 23:21:41 -0400 (Sun, 11 May 2008) $
# Author: Jim Brooks  http://www.palomino3d.org
# Desc:   Echo name of operating-system as lower-case.
#         If error, prints nothing (OS isn't recognized).
#-------------------------------------------------------------------------------

# Detect which OS from environment variable.
UNAME=`uname -s`
if   ( echo $OSTYPE | grep -q -i linux   ) || [ "$UNAME" = "Linux"   ]; then
    echo "linux"
elif ( echo $OSTYPE | grep -q -i freebsd ) || [ "$UNAME" = "FreeBSD" ]; then
    echo "freebsd"
elif ( echo $OSTYPE | grep -q -i darwin  ) || [ "$UNAME" = "Darwin"  ]; then
    echo "darwin"
elif ( echo $OSTYPE | grep -q -i cygwin  ) || [ "$UNAME" = "cygwin"  ]; then
    echo "cygwin"
else
    # Silently exit.  Makefile will catch nothing printed.
    exit 1
fi
exit 0
